Bug 150454 - won't start, GLib verison mismatch
won't start, GLib verison mismatch
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-03-06 22:15 EST by Steve Hall
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-07 10:32:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Hall 2005-03-06 22:15:07 EST
When trying to start GIMP, get a dialog:

  GLib version too old (micro mismatch)

  The GIMP requires GLIB+ version 2.4.5 or later.
  Installed GLib+ version is 2.4.0

  Somehow you or your software packager managed
  to install The GIMP with an older GLib+ version.

  Please upgrade to GLib+ version 2.4.5 or later.

This is from a straight-as-I-can-tell, standard-repository-updated Fedora Core
3, not testing or devel. I've seen this for months, just figured everybody would
see it and it would get fixed until I needed GIMP again. Apparently no FC users
use GIMP, or I have a more localized issue. :)

Be glad to do diagnostics or testing as needed.
Comment 1 Nils Philippsen 2005-03-07 02:55:55 EST
Please include the exact versions of gimp, gtk2 and glib2 installed on your
system ("rpm -q gimp gtk2 glib2"). "Updated FC3" doesn't help me much as you
could either have updated from an out-of-sync mirror or I could have looked at
this only later with no easy way to determine what was up to date when you
issued this bug.
Comment 2 Steve Hall 2005-03-07 08:31:40 EST
Using your command, I obtained this version info:

  $ rpm -q gimp gtk2 glib2

No idea why I would have two glib2 packages installed, but doing

  yum remove glib2-2.2.3-1


  Remove: ORBit2-devel.i386 1:2.8.2-1
  Remove: glib2-devel.i386 1:2.2.3-1
  Remove: gtk2-devel.i386 0:2.4.14-2.fc3
  Remove: pango-devel.i386 0:1.6.0-7
  Update: glib2.i386 0:2.4.8-1.fc3
  Update: glib2-devel.i386 0:2.4.8-1.fc3

which solved the problem, GIMP now starts for me.

Note You need to log in before you can comment on or make changes to this bug.